<?php
/**
 * Filename: _database.php
 * Created : Andy Christian S. Loyola <acl20032003@gmail.com> (http://LockerDude.Com)
 * Copyright 2016 - Andy Christian S. Loyola <acl20032003@gmail.com> (http://LockerDude.Com)
 *
 * Skype: andy_christian_loyola_
 * Yahoo: andz_christian
 * GTalk: acl20032003@gmail.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

class sbpDatabase {
    var $db;
    var $dbPrefix;

    var $tableName;
    var $tableCollation;

    var $tableOptions;
    var $tableOptionsDefaults;

    function __construct() {
        global $wpdb;

        $this->db                   = $wpdb;
        $this->dbPrefix             = $this->db->prefix;

        $this->tableName            = $this->dbPrefix .'sbp';
        $this->tableCollation       = $this->db->get_charset_collate();

        $this->tableOptions         = $this->tableName .'_options';
        $this->tableOptionsDefaults = array();
    }

    function execTable($table) {
        include_once (ABSPATH .'/wp-admin/includes/upgrade.php');
        dbDelta($table);
    }

    function install() {
        $this->_installTableOptions();
    }

        function _installTableOptions() {
            $options = get_option($this->tableOptions);
            if (is_array($options) || !is_array($options)) :
                update_option($this->tableOptions, $this->tableOptionsDefaults);
            endif;
        }

    function uninstall() {
        $this->_uninstallTableOptions();
    }

        function _uninstallTableOptions() {
            $options = get_option($this->tableOptions);
            if (is_array($options) || !is_array($options)) :
                delete_option($this->tableOptions);
            endif;
        }


}
