<?php
/**
 * Plugin Name: Squeeze Blogs Lite v2
 * Plugin URI : http://blogprofitnetwork.com/
 * Description: Squeeze Blogs Lite v2 is an awesome tool.
 * Version: 2.0.1
 * Author: Blog Profit Network
 * Author URI: http://blogprofitnetwork.com/
 *
 *
 *
 * Filename: sbp.php
 * Created by: Blog Profit Network
 * Copyright : 2015 - Blog Profit Network
 *
 * Skype: blogprofitnetwork
 * Email: marcus@blogprofitnetwork.com * Email: marcus@blogprofitnetwork.com
 */
define ('_IN_MAIN_MODULE', 1);

include_once ('config.local.php');
include_once ('lib/_database.php');
include_once ('lib/_database_squeeze.php');
include_once ('lib/_pages.php');
include_once ('lib/_metaboxes.php');
include_once ('lib/_widgets_squeeze.php');
include_once ('lib/_helpers.php');
include_once ('lib/_themes.php');
include_once ('lib/_init.php');
include_once ('lib/_upgrade.php');

//* init variables
$sbpDatabase                = new sbpDatabase();
$sbpDatabaseSqueeze         = new sbpDatabaseSqueeze();
$sbpHelpers                 = new sbpHelpers();
$sbpThemes                  = new sbpThemes();

$sbpWidgetsSqueeze          = new sbpWidgetsSqueeze();

$sbpUpgrade                 = new sbpUpgrade();


//* hooks for table installation / uninstallation
register_activation_hook(__FILE__, array($sbpDatabase, 'install'));
register_deactivation_hook(__FILE__, array($sbpDatabase, 'uninstall'));

register_activation_hook(__FILE__, array($sbpDatabaseSqueeze, 'install'));
register_deactivation_hook(__FILE__, array($sbpDatabaseSqueeze, 'uninstall'));



//* widgets
add_action('widgets_init', array($sbpWidgetsSqueeze, 'init'));


//* ajax requests
add_action('wp_ajax_sbp_load_theme', array($sbpThemes, 'getThemeDetails'));
add_action('wp_ajax_sbp_update_optin', array($sbpDatabaseSqueeze, 'updateOptin'));
add_action('wp_ajax_sbp_update_affiliates', array($sbpDatabaseSqueeze, 'updateAffiliates'));
add_action('wp_ajax_sbp_update_thankyou', array($sbpDatabaseSqueeze, 'updateThankyou'));
add_action('wp_ajax_sbp_update_recent_posts', array($sbpDatabaseSqueeze, 'updateRecentPosts'));

add_action('wp_ajax_sbp_upgrade_plugin', array($sbpUpgrade, 'install'));